From 3d9c647a38ecd60972ffe320767a8fc36df3b615 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Tue, 28 Jul 2009 11:33:56 +0200
Subject: [PATCH] Don't link statically with libnet

Signed-off-by: Mahavir Jain <mjain@marvell.com>
Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 etherbat.spec |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/etherbat.spec b/etherbat.spec
index c6617c2..5bdb042 100644
--- a/etherbat.spec
+++ b/etherbat.spec
@@ -1,6 +1,6 @@
 Name:		etherbat
 Version:	1.0.1
-Release:	5%{?dist}
+Release:	5%{?dist}.fa1
 Summary:	Ethernet topology discovery
 
 Group:		Applications/Internet
@@ -20,7 +20,7 @@ running Etherbat and two other devices.
 %setup -q
 
 %build
-CFLAGS="$RPM_OPT_FLAGS" make LIBNET_STATIC=%{_libdir}/libnet.a
+CFLAGS="$RPM_OPT_FLAGS" make
 
 %install
 rm -rf $RPM_BUILD_ROOT
@@ -41,6 +41,9 @@ rm -rf $RPM_BUILD_ROOT
 %{_bindir}/etherbat
 
 %changelog
+* Tue Jul 28 2009 Mahavir Jain <mjain@marvell.com> 1.0.1-6
+- Build etherbat dynamically as libnet-devel 1.3 provides libnet.so.
+
 * Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 
-- 
1.5.5.6

